#include <mega32a.h>
#include <i2c.h>
#include <ds1307.h>
#include <alcd.h>
#include <stdio.h>
#include <delay.h>
char display_buffer[17],display_buffer2[17]; /* LCD display buffer for 1 line */
void main(void)
{
unsigned char hour,min,sec,week_day,day,month,year;
DDRA&=0XE1;
PORTA|=0X1E;
lcd_init(16);
i2c_init();
rtc_init(0,0,0);
rtc_set_time(12,0,0); 
rtc_set_date(2,1,2,11); 

while (1)
      {
      rtc_get_time(&hour,&min,&sec);
      rtc_get_date(&week_day,&day,&month,&year);
      sprintf(display_buffer,"Time: %2d:%02d:%02d",hour,min,sec);  
      sprintf(display_buffer2,"Date: %2d/%02d/%d",day,month,2000+year);
      
      lcd_clear();
      lcd_puts(display_buffer); 
      lcd_gotoxy(0,1);
      lcd_puts(display_buffer2);
      delay_ms(50);
      
      }
}
